[Pvfs2-cvs] commit by sson in pvfs2/test/automated: testscrpt.sh

CVS commit program cvs at parl.clemson.edu
Mon Jun 8 17:49:34 EDT 2009


Update of /projects/cvsroot/pvfs2/test/automated
In directory parlweb1:/tmp/cvs-serv27122/test/automated

Modified Files:
      Tag: as-branch
	testscrpt.sh 
Log Message:
Merged Phil's tcp-peer-comm-branch that allows simultaneous server to server communications.
Added basic allreduce module:
  - implemented a recursive distance doubling algorithm.
  - works only when the # of servers are power of 2.
  - when activated, servers simply exchange their id to each other.

TODO 
  - handle arbitrary sizes of buffers of various data types.



Index: testscrpt.sh
===================================================================
RCS file: /projects/cvsroot/pvfs2/test/automated/testscrpt.sh,v
diff -p -u -r1.80 -r1.80.16.1
--- testscrpt.sh	24 Mar 2008 16:11:36 -0000	1.80
+++ testscrpt.sh	8 Jun 2009 21:49:34 -0000	1.80.16.1
@@ -37,10 +37,17 @@ MPIIO_DRIVER=$(cd `dirname $0`; pwd)/tes
 
 TESTNAME="`hostname -s`-nightly"
 
+# before starting any client apps, we need to deal with the possiblity that we
+# might have built with shared libraries
+export LD_LIBRARY_PATH=${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/lib:${LD_LIBRARY_PATH}
 
 # we only have a few hosts that meet all the earlier stated prereqs
 VFS_HOSTS="gil lain stan"
 
+#
+# Detect basic heap corruption
+#
+export MALLOC_CHECK_=2
 
 # takes one argument: a tag or branch in CVS
 pull_and_build_pvfs2 () {
@@ -95,7 +102,7 @@ teardown_vfs() {
 setup_vfs() {
 	sudo dmesg -c >/dev/null
 	sudo /sbin/insmod ${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/lib/modules/`uname -r`/kernel/fs/pvfs2/pvfs2.ko
-	sudo ${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/sbin/pvfs2-client \
+	sudo LD_LIBRARY_PATH=${LD_LIBRARY_PATH} ${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/sbin/pvfs2-client \
 		-p ${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/sbin/pvfs2-client-core \
 		-L ${PVFS2_DEST}/pvfs2-client-${CVS_TAG}.log
 	# sudo screen -d -m cgdb -x ${PVFS2_DEST}/.gdbinit --args ${PVFS2_DEST}/INSTALL-pvfs2-${CVS_TAG}/sbin/pvfs2-client-core -L ${PVFS2_DEST}/pvfs2-client-${CVS_TAG}.log
@@ -193,7 +200,7 @@ run_parts() {
 		if [ -x $f ] ; then 
 			echo -n "====== running $f ..."
 			./$f > ${PVFS2_DEST}/${f}-${CVS_TAG}.log
-			if [ $? == 0 ] ; then 
+			if [ $? -eq 0 ] ; then 
 				nr_passed=$((nr_passed + 1))
 				echo "OK"
 			else



More information about the Pvfs2-cvs mailing list